"Documentation for hdajackretask\n"
"===============================\n"
"\n"
"Most HDA Intel soundcards are to some degree retaskable, i e can be used for more than one thing. This tool is a GUI to make it easy to retask your jacks - e g, turn your Mic jack into an extra Headphone, or why not make them both line outs and connect them to your surround receiver?\n"
"\n"
"Quickstart\n"
"==========\n"
"\n"
"Start the application \"hdajackretask\" from the command line.\n"
"Select a codec in the top bar; some people have only one - if you have more than one, one is the \"main\" one, and the rest are probably HDMI codecs. \n"
"\n"
"All jacks (and other inputs/outputs) are shown under \"Pin configuration\". To override one of your jacks, click the \"Override\" checkbox for that pin and select the desired function.\n"
"Note: If you select a \"Line out (back)\" override, you should also have a \"Line out (front)\" override. A \"Line out (Center/LFE)\" override will only work with the previous two overrides, and so on. \n"
"\n"
"You can try out your new configuration by clicking \"Apply now\". To make your new configuration the boot up default, click \"Install boot override\". \n"
"Doing any of these requires root privileges, so you will likely be asked for your password.\n"
"\n"
"Quickend\n"
"========\n"
"\n"
"Did you screw up? Click the \"Remove boot override\" button, and once the process has completed, shut down your computer, wait a little while and turn it on again. You should now be back where you started.\n"
"\n"
"Did it work?\n"
"============\n"
"\n"
"If it did, be happy, share your joy, do something nice!\n"
"\n"
"If it didn't, here are some things to try:\n"
"\n"
" * Go into alsamixer and see if there are new volume controls, and see if they are unmuted and set to a reasonable value.\n"
"\n"
" * Sometimes the driver does not shut off unconnected pins (if they're unconnected, why worry?). You might be able to fix this by turning your computer completely off for a little while.\n"
"\n"
" * See the \"model=auto\" option below\n"
"\n"
"If this does not help, chances are high you're running into either a driver or a hardware limitation. You might run into driver bugs (maybe nobody has ever tested four headphones before!). If you do, feel free to report them on the alsa-devel mailinglist: however, due to lack of manpower, chances are this will be dealt with at a very low priority (having sound working out of the box for a standard configuration, is more important than supporting strange configurations). However, if you are a kernel hacker and come up with a patch that solves your problem without screwing up anything else, chances are pretty high it will be merged. \n"
"\n"
"If you suspect the problem is with this GUI application rather than the kernel driver, feel free to write me an email (and if you like, include a patch!). If so, write to diwic@ubuntu.com.\n"
"\n"
"Options\n"
"=======\n"
"\n"
" * Show unconnected pins\n"
"Your BIOS is responsible for setting up what pins on the codec that are actually connected to something and which ones are not. Sometimes BIOS is buggy, and will not show all your jacks. If you have a jack your BIOS says you haven't, you can try enabling random pins and see if it works.\n"
"\n"
" * Set Model=auto\n"
"Some codecs, especially older ones and on kernels 3.8 and below, are hard-coded to use a specific model, and thus will not care about your overrides. In many cases and with a reasonably new kernel, the auto parser now works well for these codecs as well. You can force the auto parser to be used by checking this box. In some cases, though, the explicit model is there for a reason, if so, you're stuck.\n"
"\n"
" * Advanced override\n"
"This is for the experts only. It makes you select each configuration field individually, instead of just a few predefined values that make sense. Note that most combinations here are invalid in one way or the other, so you should probably not mess with this unless you have read and understood the \"Configuration Default\" section of the HD Audio specification. (Which, at the time of this writing, is available here: \n"
"http://www.intel.com/content/dam/www/public/us/en/documents/product-specifications/high-definition-audio-specification.pdf )\n"
"\n"
" * Parser hints\n"
"This enables you to send special \"hints\" to the driver that causes parsing to behave differently. Leave them at the \"default\" setting unless you have read the driver documentation. ( Which, at the time of this writing, is available here: https://www.kernel.org/doc/Documentation/sound/hd-audio/notes.rst - see the \"Hint strings\" section. )\n"
